Subject: Re: [bug#60776] [PATCH] distdir/emacs: avoid `test -d` with MKDIR_P

From: Mike Frysinger <[email-masked]>
Date: Fri, 13 Jan 2023 23:47:30 -0500

On 13 Jan 2023 15:36, Karl Berry wrote:
>     -	test -d "$(distdir)" || mkdir "$(distdir)"
>     +	$(AM_V_at)$(MKDIR_P) "$(distdir)"
> 
> Ok by me, but why the AM_V_at for this particular command?
> I don't see it used anywhere else in distdir.am.

this is certainly true, and it's something i want to fix ... at some point.
imo we overly rely on explicit @ in many places which can make debugging
failures painful.  i imagine the current state is due to the silent-rules
work focusing on the most common paths (compile/rebuilds) and leaving the
rest to "one day".  so if we ever get to that day, we'd use $(AM_V_at) in
this location.  i figured making the change while i was here means we have
a slightly higher chance of this code eventually being silent-rules compat
vs finding the time to convert it all at once.
-mike